function [spectr, omega] = ampl_fft(f,dT)
%f- input signal
%   output -ampl spectrum

l=size(f);
N=l(2);


fourier_transform=fft(f);
spectr=fourier_transform/N;




for(j=1:1:N)
      if(j==1)
        t(j)=0;
        omega(j)=0;   

      elseif(j<=N/2+1)
        t(j)=N*dT/(j-1); 
        omega(j)=2*pi/t(j); 

      elseif(j>N/2+1)
        t(j)=N*dT/(N-j+1);
        omega(j)=-2*pi/t(j);
       
      end;
      
      
 end;

end

